net.sourceforge.pmd.dcd.graph

## Class NodeVisitorAdapter

- java.lang.Object
- - net.sourceforge.pmd.dcd.graph.NodeVisitorAdapter

All Implemented Interfaces:
  NodeVisitor

Direct Known Subclasses:
  DumpNodeVisitor, UsageNodeVisitor

    public class NodeVisitorAdapter
    extends Object
    implements NodeVisitor

Adapter class for easy implementation of a NodeVisitor. Subclasses need only override methods to add behavior, and call `super` to continue the visitation.

### Constructor Summary

Constructors
Constructor and Description
`NodeVisitorAdapter()`

### Method Summary

Methods
`Object` `visit(ClassNode classNode, Object data)`
`Object` `visit(ConstructorNode constructorNode, Object data)`
`Object` `visit(FieldNode fieldNode, Object data)`
`Object` `visit(MethodNode methodNode, Object data)`
`Object` `visit(UsageGraph usageGraph, Object data)`
`Object` `visitConstructors(ClassNode classNode, Object data)`
`Object` `visitFields(ClassNode classNode, Object data)`
`Object` `visitMethods(ClassNode classNode, Object data)`
`Object` `visitUse(MemberNode memberNode, Object data)`
`Object` `visitUser(MemberNode memberNode, Object data)`
`Object` `visitUsers(MemberNode memberNode, Object data)`
`Object` `visitUses(MemberNode memberNode, Object data)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NodeVisitorAdapter

    public NodeVisitorAdapter()

### Method Detail

#### visit

    public Object visit(UsageGraph usageGraph,
               Object data)

Specified by:
  `visit` in interface `NodeVisitor`

#### visit

    public Object visit(ClassNode classNode,
               Object data)

Specified by:
  `visit` in interface `NodeVisitor`

#### visitFields

    public Object visitFields(ClassNode classNode,
                     Object data)

Specified by:
  `visitFields` in interface `NodeVisitor`

#### visit

    public Object visit(FieldNode fieldNode,
               Object data)

Specified by:
  `visit` in interface `NodeVisitor`

#### visitConstructors

    public Object visitConstructors(ClassNode classNode,
                           Object data)

Specified by:
  `visitConstructors` in interface `NodeVisitor`

#### visit

    public Object visit(ConstructorNode constructorNode,
               Object data)

Specified by:
  `visit` in interface `NodeVisitor`

#### visitMethods

    public Object visitMethods(ClassNode classNode,
                      Object data)

Specified by:
  `visitMethods` in interface `NodeVisitor`

#### visit

    public Object visit(MethodNode methodNode,
               Object data)

Specified by:
  `visit` in interface `NodeVisitor`

#### visitUses

    public Object visitUses(MemberNode memberNode,
                   Object data)

Specified by:
  `visitUses` in interface `NodeVisitor`

#### visitUse

    public Object visitUse(MemberNode memberNode,
                  Object data)

Specified by:
  `visitUse` in interface `NodeVisitor`

#### visitUsers

    public Object visitUsers(MemberNode memberNode,
                    Object data)

Specified by:
  `visitUsers` in interface `NodeVisitor`

#### visitUser

    public Object visitUser(MemberNode memberNode,
                   Object data)

Specified by:
  `visitUser` in interface `NodeVisitor`